Loading ...
Sorry, an error occurred while loading the content.
 

Re: Changing PYTHONPATH for MacVim?

Expand Messages
  • Jason Foreman
    ... Are you on Leopard? The MacVim releases are built on Tiger, which uses Python 2.3, but Leopard has Python 2.5 by default. Packages aren t shared between
    Message 1 of 2 , Oct 19, 2008
      2008/10/18 Andrew McClain <awmcclain@...>:
      >
      > I'm switching from console vim 7.2.25 to MacVim 7.2 stable 1 -- but my
      > python plugins don't work because I can't import packages from my
      > site-
      > packages within MacVim (":python import foo" where foo is a package on
      > my site-packages works in console but not in MacVim)
      >
      > Anyone know how to alter the PYTHONPATH for MacVim.app?

      Are you on Leopard? The MacVim releases are built on Tiger, which
      uses Python 2.3, but Leopard has Python 2.5 by default. Packages
      aren't shared between the two versions on Leopard, so that may be why
      they aren't loading. You could add some code to your .vimrc that adds
      the 2.5 package paths to your PYTHONPATH, but you might find that not
      everything works as expected due to the version mismatch.

      Another option would be to build MacVim against Python 2.5 in Leopard,
      but this currently requires some hacking of the autoconf files to get
      things to link correctly.

      Jason
    Your message has been successfully submitted and would be delivered to recipients shortly.